GuideLab API

Book scan inbox item as new order

Create a new draft order from a scan inbox item. Optionally creates a patient record and order items from scan metadata. Downloads scanner attachments as order files. Lab only.

POST
/scan-inbox/{id}/book

Create a new draft order from a scan inbox item. Optionally creates a patient record and order items from scan metadata. Downloads scanner attachments as order files. Lab only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scan-inbox/550e8400-e29b-41d4-a716-446655440000/book" \  -H "Content-Type: application/json" \  -d '{}'
{  "orderId": "string",  "orderNumber": "string",  "patientId": "string",  "orderItemCount": 0,  "fileCount": 0}
Empty
Empty
Empty
Empty
Empty
Empty
Empty
Empty